Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyExecutableMemberDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyMemberDoc, GroovyProgramElementDoc, GroovyDoc

      public interface GroovyExecutableMemberDoc
      extends GroovyMemberDoc

  Describes an executable member such as a method or constructor.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `flatSignature()` Returns the flat signature used in rendered output.
    `` | `public boolean` | `isNative()` Indicates whether this executable is declared `native`.
    `` | `public boolean` | `isSynchronized()` Indicates whether this executable is declared `synchronized`.
    `` | `public boolean` | `isVarArgs()` Indicates whether the executable accepts a variable number of arguments.
    `` | `public GroovyParameter[]` | `parameters()` Returns the parameters declared by this executable.
    `` | `public String` | `signature()` Returns the full signature used in rendered output.
    `` | `public GroovyType[]` | `thrownExceptionTypes()` Returns the checked exception types declared by this executable.
    `` | `public GroovyClassDoc[]` | `thrownExceptions()` Returns the checked exceptions declared by this executable.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyMemberDoc` | `isSynthetic`
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public String flatSignature()

      Returns the flat signature used in rendered output.

      Returns:
        the flat signature

    - #### public boolean isNative()

      Indicates whether this executable is declared `native`.

      Returns:
        `true` if this executable is native

    - #### public boolean isSynchronized()

      Indicates whether this executable is declared `synchronized`.

      Returns:
        `true` if this executable is synchronized

    - #### public boolean isVarArgs()

      Indicates whether the executable accepts a variable number of arguments.

      Returns:
        `true` if this executable is variadic

    - #### public GroovyParameter[] parameters()

      Returns the parameters declared by this executable.

      Returns:
        the declared parameters

    - #### public String signature()

      Returns the full signature used in rendered output.

      Returns:
        the executable signature

    - #### public GroovyType[] thrownExceptionTypes()

      Returns the checked exception types declared by this executable.

      Returns:
        the declared exception types

    - #### public GroovyClassDoc[] thrownExceptions()

      Returns the checked exceptions declared by this executable.

      Returns:
        the declared exceptions